<?
require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_admin_before.php");
require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_admin_js.php");
__IncludeLang($_SERVER['DOCUMENT_ROOT'].'/bitrix/components/#component_prostranstvo#/#component_name#/lang/'.LANGUAGE_ID.'/settings/settings.php');
$obJSPopup = new CJSPopup('',
    array(
    'TITLE' => GetMessage("#modul_upper_full#_COMPONENT_SETINGS_POPUP_TITLE"),
    'SUFFIX' => 'e0_custom',
    'ARGS' => ''
    )
);
$def = array();/*Это надо. Тут параметры. */
if ($_REQUEST['IZ']){
    CUtil::JSPostUnescape();
    $def = $_REQUEST;
}
if (!CModule::IncludeModule('#part#.#modul#')) {
    ShowError(GetMessage('#modul_upper_full#_COMP_SETINGS_NOT_INSTALLED'));
    return;
}
?>
<form name="bx_popup_form_e1" class="e2">
<?
$obJSPopup->ShowTitlebar();
$obJSPopup->StartDescription('bx-edit-menu');
?>
<p><b><?echo GetMessage('#modul_upper_full#_SET_POPUP_WINDOW_TITLE')?></b></p>
<p class="note"><?echo GetMessage('#modul_upper_full#_SET_POPUP_WINDOW_DESCRIPTION')?></p>
<?$obJSPopup->StartContent();?>
<?=GetMessage('#modul_upper_full#_COMPONENT_POPUP_TEXT');?>:
<?echo "<pre>";echo print_r($def, true);echo "</pre>";?>
    <?
    $obJSPopup->StartButtons();
    ?>
    <input type="submit" value="<?echo GetMessage('#modul_upper_full#_SET_SUBMIT_POPUP');?>" onclick="return viewOpenerHelp.__saveData(this,'<?=$def['IZ'];?>');" class="adm-btn-save" />
    <?
    $obJSPopup->ShowStandardButtons(array('cancel'));
    $obJSPopup->EndButtons();
    ?>
</form>
<?require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/epilog_admin_js.php");?>